KILLPG(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
killpg - send a signal to a process group

SYNOPSIS

#include <signal.h>

int killpg(pid_t pgrp, int sig);

DESCRIPTION

The killpg() function shall send the signal specified by sig to the process group specified by pgrp.

If pgrp is greater than 1, killpg(pgrp, sig) shall be equivalent to kill(-pgrp, sig). If pgrp is less than or equal to 1, the behavior of killpg() is undefined.

RETURN VALUE

Refer to kill().

ERRORS

Refer to kill().

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

getpgid(), getpid(), kill(), raise(), the Base Definitions volume of IEEE Std 1003.1-2001, <signal.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .